#!/bin/sh

# Summary analysis script
# n.b. Check specified users for mysql access

# Prints script usage
printUsage() {
    echo "$0 num-jobs start-job-id" 
    exit 1
}

if [ ${#} -ne "2" ]; then
    printUsage
fi 

FRST_ID=$2
LAST_ID=`expr ${FRST_ID} + $1 - 1`
LOG_FILE=j${FRST_ID}.txt

# Check log file exists!
if [ ! -r ${LOG_FILE} ]; then
    echo
    echo "Log file doesn't exist!"
    DB_COUNT=`echo "USE HistTable; SELECT COUNT(*) from bossJobExOutMessage5 WHERE (bossJobID>='${FRST_ID}' AND bossJobID<='${LAST_ID}');" | mysql -h dbhost.brunel.ac.uk -u rgma_mon|grep [0-9]`
    if [ ! ${DB_COUNT} -eq "0" ]; then
       echo "but there are ${DB_COUNT} messages in DB."
    fi
    echo
    exit 0
fi

echo "Checking ${LOG_FILE} for job IDs from ${FRST_ID} to ${LAST_ID}"

# First check nothing obviously wrong has occurred
ERROR_COUNT=`grep -c Exception ${LOG_FILE}`

if [ ${ERROR_COUNT} -gt "0" ]; then
    echo "There were exceptions noted in the log file"
fi

# Check number of inserted tuples match the archived number
INSERT_COUNT=`grep -c INSERT ${LOG_FILE}`
DB_COUNT=`echo "USE HistTable; SELECT COUNT(*) from bossJobExOutMessage5 WHERE (bossJobID>='${FRST_ID}' AND bossJobID<='${LAST_ID}');" | mysql -h dbhost.brunel.ac.uk -u rgma_mon|grep [0-9]`

echo "Inserted tuples: $INSERT_COUNT, number tuples archived: $DB_COUNT"
echo
